Subject: [bug#69328] [PATCH v2 00/12] Better source code recovery from SWH

From: Simon Tournier <[email-masked]>
Date: Thu, 07 Mar 2024 19:38:34 +0100

Hi,

On mar., 05 mars 2024 at 12:06, Ludovic Courtès <[email-masked]> wrote:

> Ludovic Courtès (12):
>   lint: Switch to SRFI-71.
>   lint: archival: Fix crash in non-Git case.
>   lint: archival: Trigger “Save Code Now” for VCSes other than Git.
>   swh: Add ‘type’ field to <visit>.
>   swh: ‘origin-visits’ takes an optional ‘max’ parameter.
>   swh: ‘lookup-origin-revision’ handles branches pointing to
>     directories.
>   hg-download: Use ‘swh-download-directory-by-nar-hash’.
>   svn-download: Use ‘swh-download-directory-by-nar-hash’.
>   bzr-download: Implement nar fallback.
>   download-nar: Distinguish ‘output’ and ‘item’ parameter.
>   perform-download: Allow use of ‘download-nar’ for ‘--check’ builds.
>   download: Honor ‘GUIX_DOWNLOAD_METHODS’ environment variable.

LGTM.

Unrelated things for later. :-) 

1. About CVS, IIRC, there is only one package: gnu-standards.  And it
changes barely.  Why not fetch from FTP or else instead of CVS?

2. About the lookup, currently it is done item per item when it could be
done several at once – Timothy does that with PoG.  This helps for the
rate limit.  For instance if one uses “guix lint -c archival -m
manifest.scm”.

3. The option ’-m’ for “guix lint” seems missing.

These #2 and #3 would help third-party channels, IMHO.

Although, I am slowly working on some “guix swh” extension… but I have
been distraction by another extension “guix try-out”, then distracted by
another one “guix cite”.  Well, I need to finish all my homeworks. ;-)

Anyway, really nice new features!

Cheers,
simon